import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { EmailNotificationModel, EmailNotificationPDFModel, GenericDocContainerModel } from '../../../../../../models/aggregates/generic_doc';
import { ApiResponseModel, ApiVisa, Pagination, PagingResponseModel, BasicApiResponseModel } from '../../shared';
import { BaseGenDocTypeService } from './base-generic-doc-hdr.service';
import { GenericDocumentPutDTO } from '../../../data-transfer-objects';
export declare class InternalSalesCreditNoteService extends BaseGenDocTypeService {
    constructor(http: HttpClient);
    getLinesByCriteria(pagination: Pagination, visa: ApiVisa): Observable<PagingResponseModel<GenericDocContainerModel>>;
    getLinesByCriteriaPromise(pagination: Pagination, visa: ApiVisa): Promise<PagingResponseModel<GenericDocContainerModel>>;
    printJasperPdf(guid: string, printServiceClassName: string, printableFormatGuid: string, apiVisa: ApiVisa, customParam?: string): Observable<Blob>;
    getAttachmentFile(extensionGuid: string, apiVisa: ApiVisa): Observable<Blob>;
    discardGenericDocument(apiVisa: ApiVisa, guid: string): Observable<ApiResponseModel<GenericDocContainerModel>>;
    sendEmailNotification(guid: any, dtoObject: EmailNotificationModel, visa: ApiVisa): Observable<Object>;
    sendEmailPDF(guid: any, dtoObject: EmailNotificationPDFModel, visa: ApiVisa): Observable<Object>;
    updateWithParams(dto: GenericDocumentPutDTO, genDocCon: any, visa: ApiVisa): Observable<BasicApiResponseModel<GenericDocContainerModel>>;
}
